/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.service;

import org.jboss.system.ServiceMBean;

import java.util.ArrayList;

/**
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.2.4.4 $
 */
public interface TesterMBean extends ServiceMBean
{
   void testServiceWithDefaultLocalJNDIName() throws Exception;
   void testServiceWithLocalBinding() throws Exception;
   ArrayList getCreates();
   ArrayList getStarts();
}
